org.deidentifier.arx.certificate.elements

## Class ElementList

- java.lang.Object
- - org.deidentifier.arx.certificate.elements.ElementList

All Implemented Interfaces:
  Element

    public class ElementList
    extends java.lang.Object
    implements Element

PDF list

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ElementList(CertificateStyle.ListStyle style)` Creates a new list

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(ElementData data)` Adds element data
`void` `addItem(ElementList item)` Adds an item to this list
`void` `addItem(ElementText item)` Adds an item to this list
`java.lang.String` `getListItemIndicator(int indent)` Styling
`void` `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementList

    public ElementList(CertificateStyle.ListStyle style)

Creates a new list

Parameters:
  `style` -

### Method Detail

#### addItem

    public void addItem(ElementData data)

Adds element data

Parameters:
  `data` -

#### addItem

    public void addItem(ElementList item)

Adds an item to this list

Parameters:
  `item` -

#### addItem

    public void addItem(ElementText item)

Adds an item to this list

Parameters:
  `item` -

#### getListItemIndicator

    public java.lang.String getListItemIndicator(int indent)

Styling

Parameters:
  `deep` -
Returns:

#### render

    public void render(rst.pdfbox.layout.elements.Document target,
                       int indent,
                       CertificateStyle style)
                throws java.io.IOException

Description copied from interface: `Element`
Renders the element to the given target

Specified by:
  `render` in interface `Element`
Throws:
  `java.io.IOException`